### Hierarchy

- UserServiceStub

## Index

### Constructors

- constructor

### Properties

- actions
- users

### Methods

- approveAction
- getActionById
- getUser
- getUserById

## Constructors

### constructor

- new UserServiceStub(): UserServiceStub

- #### Returns UserServiceStub

## Properties

### actions

actions: { action: string; approval: boolean; id: number; role: string; user: string }[] = ...

- Defined in src/testing/user-service-stub.ts:72

### users

users: { address: string; balance: string; bio: string; created: string; failedPinAttempts: number; gender: string; id: number; name: string; phone: string; status: string; type: string }[] = ...

- Defined in src/testing/user-service-stub.ts:4

## Methods

### approveAction

- approveAction(id: number): any

- - Defined in src/testing/user-service-stub.ts:134

  #### Parameters

  - ##### id: number

  #### Returns any

### getActionById

- getActionById(id: string): any

- - Defined in src/testing/user-service-stub.ts:124

  #### Parameters

  - ##### id: string

  #### Returns any

### getUser

- getUser(userKey: string): Observable<any>

- - Defined in src/testing/user-service-stub.ts:103

  #### Parameters

  - ##### userKey: string

  #### Returns Observable<any>

### getUserById

- getUserById(id: string): any

- - Defined in src/testing/user-service-stub.ts:87

  #### Parameters

  - ##### id: string

  #### Returns any

Generated using TypeDoc